Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Time_Value.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_time.h"`
`#include "ace/Time_Value.inl"`

Include dependency graph for Time_Value.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Countdown_Time
| Keeps track of the amount of elapsed time. More...
class | ACE_Time_Value
| Operations on "timeval" structures, which express time in seconds (secs) and microseconds (usecs). More...
struct | timespec
## Defines
#define | ACE_ONE_SECOND_IN_MSECS 1000L
#define | ACE_ONE_SECOND_IN_USECS 1000000L
#define | ACE_ONE_SECOND_IN_NSECS 1000000000L
## Typedefs
typedef timespec | timespec_t
## Functions
ACE_Export ACE_Time_Value | operator+ (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)
ACE_Export ACE_Time_Value | operator- (const ACE_Time_Value &tv1, const ACE_Time_Value &tv2)

## Detailed Description

Id:
  Time_Value.h,v 4.25 2004/01/01 23:03:38 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_ONE_SECOND_IN_MSECS 1000L

#define ACE_ONE_SECOND_IN_NSECS 1000000000L

#define ACE_ONE_SECOND_IN_USECS 1000000L

## Typedef Documentation

typedef struct timespec timespec_t

## Function Documentation

ACE_Export ACE_Time_Value operator+ | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |

ACE_Export ACE_Time_Value operator- | ( | const ACE_Time_Value & | tv1,
|  | const ACE_Time_Value & | tv2
| ) |